Business Search 目前处于早期访问阶段。请联系 sales@brightdata.com 申请开通权限。
公司
按行业、总部国家、规模区间、成立年份和融资阶段查找公司,支持结构化条件或一句自然语言。
人物
按职位、当前公司、地点和关注者数量查找人物,支持结构化条件或一句自然语言。
搜索模式
Business Search 支持从查找某一家公司到发现整个市场候选对象的各类工作流,因此提供三种在速度、深度、成本和精度之间取舍的模式。mode 属性用于选择模式:
- Ludicrous 按你用 Business Search 查询语法编写的结构化条件原样执行。它是最快的模式,每页最多返回 100 条记录。
- Instant 接收一句自然语言,把它转换成一个结构化查询并返回匹配结果。它同样每页最多返回 100 条记录,费率与 Ludicrous 相同。
- Smart 接收同类型的自然语言,然后按每条记录对请求的契合程度对候选结果排序。它是最精准的模式,也是最慢、最贵的模式,每页返回 10 条记录。
documents 都已按排序返回。
- Ludicrous
- Instant
- Smart
Ludicrous 是基于词法的结构化搜索:你自行指定字段和条件,文本条件按 BM25 进行词匹配,没有任何模型解释请求或重新排列结果。示例请求示例响应
curl --request POST "https://api.brightdata.com/search/company" \
--header "Authorization: Bearer $BRIGHTDATA_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"mode": "ludicrous",
"query": {
"and": [
{ "text": { "industry": "software" } },
{ "equals": { "headquarters_country_code": "US" } },
{ "range": { "employees_in_linkedin": { ">=": 50, "<=": 500 } } }
]
},
"limit": 3,
"view": "summary"
}'
import os
import requests
response = requests.post(
"https://api.brightdata.com/search/company",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTDATA_API_KEY']}",
"Content-Type": "application/json",
},
json={
"mode": "ludicrous",
"query": {
"and": [
{ "text": { "industry": "software" } },
{ "equals": { "headquarters_country_code": "US" } },
{ "range": { "employees_in_linkedin": { ">=": 50, "<=": 500 } } }
]
},
"limit": 3,
"view": "summary"
},
)
print(response.status_code, response.json())
const response = await fetch("https://api.brightdata.com/search/company", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTDATA_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"mode": "ludicrous",
"query": {
"and": [
{ "text": { "industry": "software" } },
{ "equals": { "headquarters_country_code": "US" } },
{ "range": { "employees_in_linkedin": { ">=": 50, "<=": 500 } } }
]
},
"limit": 3,
"view": "summary"
}),
});
console.log(response.status, await response.json());
{
"req_id": "r3417705745d9445bab3114d77d75f16d",
"meta": { "coverage_percent": 100, "matched": 8, "offset": 0, "limit": 3 },
"documents": [
{
"bright_id": "abc7d8b3719192a4f04197ab57cf352bdbda5abac31dfe1467cc61521d61741c",
"data": {
"name": "Braintrust",
"slogan": "Active observability for agents in production.",
"industry": "Software Development",
"headquarters_location": "San Francisco",
"headquarters_country_code": "US",
"company_size_from": 51,
"company_size_to": 200,
"employees_in_linkedin": 169,
"linkedin_followers": 15953,
"website": "https://braintrust.dev/",
"domain": "braintrust.dev"
}
}
]
}
meta.matched 统计的是本次搜索触及的记录数,而不是满足条件的全部公司。参见 如何对 Business Search 结果分页。Instant 把句子转换成一个结构化查询,并按文本匹配程度返回匹配结果。示例请求示例响应
curl --request POST "https://api.brightdata.com/search/company" \
--header "Authorization: Bearer $BRIGHTDATA_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"mode": "instant",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
}'
import os
import requests
response = requests.post(
"https://api.brightdata.com/search/company",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTDATA_API_KEY']}",
"Content-Type": "application/json",
},
json={
"mode": "instant",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
},
)
print(response.status_code, response.json())
const response = await fetch("https://api.brightdata.com/search/company", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTDATA_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"mode": "instant",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
}),
});
console.log(response.status, await response.json());
{
"req_id": "re5aefd1a0b9c4b9d813af52ce935c26d",
"meta": { "coverage_percent": 100, "matched": 1314, "offset": 0, "limit": 3 },
"documents": [
{
"bright_id": "cff2fcd9da9a150b16cbc855777265c8de34f3a360986903f23f7f4e73fcf497",
"data": {
"name": "Flamerix AI",
"slogan": "Infrastructure for controlled AI-driven software development.",
"industry": "IT Services and IT Consulting",
"headquarters_location": "Tbilisi",
"headquarters_country_code": "GE",
"company_size_from": 2,
"company_size_to": 10,
"employees_in_linkedin": 1,
"linkedin_followers": 3,
"website": "https://flamerix.ai/",
"domain": "flamerix.ai"
}
}
]
}
Smart 先做与 Instant 相同的解释,再阅读每条候选记录并按其对请求的契合程度重新排列,因此第一条结果会不同。示例请求示例响应
curl --request POST "https://api.brightdata.com/search/company" \
--header "Authorization: Bearer $BRIGHTDATA_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"mode": "smart",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
}'
import os
import requests
response = requests.post(
"https://api.brightdata.com/search/company",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTDATA_API_KEY']}",
"Content-Type": "application/json",
},
json={
"mode": "smart",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
},
)
print(response.status_code, response.json())
const response = await fetch("https://api.brightdata.com/search/company", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTDATA_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"mode": "smart",
"query": "Developer infrastructure companies building tools for AI engineering teams",
"limit": 3,
"view": "summary"
}),
});
console.log(response.status, await response.json());
{
"req_id": "r8f4b4e27936b40aaaa342a894f4ac460",
"meta": { "coverage_percent": 100, "matched": 1294, "offset": 0, "limit": 3 },
"documents": [
{
"bright_id": "c455ef8769b2656cfe67d4a534edb30ff0f55d0241ea95d04e32835684cf3bf8",
"data": {
"name": "Skyflo",
"slogan": "AI engineering harness for coding agents, tools, context, and long-running work.",
"industry": "Software Development",
"headquarters_location": "Pune, Maharashtra",
"headquarters_country_code": "IN",
"company_size_from": 2,
"company_size_to": 10,
"employees_in_linkedin": 2,
"linkedin_followers": 214,
"website": "https://skyflo.ai/",
"domain": "skyflo.ai"
}
}
]
}
如果 Smart 的排序步骤失败,请求会返回同一请求在 Instant 下的结果而不是报错,且仍按 Smart 计费。
模式对比
| 模式 | 查询输入 | 每次搜索结果数(包含 / 上限) | 典型响应时间 | 适用场景 |
|---|---|---|---|---|
ludicrous | 结构化条件 | 100 / 1,000 | 约 50 毫秒 | 你的应用已经知道要按哪些字段筛选 |
instant | 自然语言句子 | 100 / 1,000 | 约 1 秒 | 需要交互速度的自然语言搜索;交互场景的默认选择 |
smart | 自然语言句子 | 10 / 100 | 约 2 到 3 秒 | 结果质量比延迟更重要,或第一条结果出错代价很高 |
接下来做什么
快速开始
发送第一个公司搜索请求并读懂响应。
价格
按模式计算的每千次搜索价格,以及哪些请求计费。